Skip to main content
PUT
/
api
/
auth
/
api-keys
/
{id}
Rename an API key
curl --request PUT \
  --url https://my.momanic.com/api/auth/api-keys/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "keyPreview": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "lastUsedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "revokedAt": "2023-11-07T05:31:56Z",
  "state": "active"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
required
Required string length: 1 - 64

Response

200 - application/json

Updated key

id
string<uuid>
name
string
keyPreview
string
createdAt
string<date-time> | null
lastUsedAt
string<date-time> | null
expiresAt
string<date-time> | null
revokedAt
string<date-time> | null
state
enum<string>
Available options:
active,
expired,
revoked